mount_vfs_texture_archives("Bazar/Textures/AvionicsCommon")

dofile(LockOn_Options.script_path.."devices.lua")
dofile(LockOn_Options.script_path.."materials.lua")
dofile(LockOn_Options.script_path.."sounds.lua")
dofile(LockOn_Options.script_path.."sounds_init.lua")
dofile(LockOn_Options.common_script_path.."tools.lua")

UseDBGInfo = false

layoutGeometry = {}

MainPanel = {"F4EAvionics::ccF4EMainPanel",
			LockOn_Options.script_path.."mainpanel_init.lua"
					}


creators = {}

creators[devices.Smoke]        = {"avSimpleWeaponSystem"  ,LockOn_Options.script_path.."Smoke/Smoke.lua"}

--DEVICES---------------------------------------------
creators[devices.PROXY] = {"avLuaDevice", LockOn_Options.script_path.."proxy_device.lua"}

creators[devices.GEARANDHOOK] = {"F4EAvionics::GearAndHook", "", {}}
creators[devices.AVIONICSCORE] = {"F4EAvionics::AvionicsCore", "", {}}
creators[devices.INDICATORSANDLIGHTS] = {"F4EAvionics::WarningAndIndicatorLights", "", {}}
creators[devices.CIRCUIT_BREAKERS] = {"F4EAvionics::DCS_CircuitBreakers", "", {}}
creators[devices.COUNTERMEASURES] = {"F4EAvionics::Countermeasures","",{}}
creators[devices.JESTER] = { "F4EAvionics::DCS_Jester", "", {} }

--TEMP TEST/EXAMPLE DEVICE
creators[devices.TESTDEVICE] = {"F4EAvionics::TestDevice", "", {}}

creators[devices.ACCELEROMETER] = {"F4EAvionics::Accelerometer", "", {}}
creators[devices.PITOTSTATIC] = {"F4EAvionics::PitotStatic", "", {}}
creators[devices.CADC] = {"F4EAvionics::CADC", "", {}}
creators[devices.MACHANDSPEEDINDICATOR] = {"F4EAvionics::MachAndAirspeedIndicator", "", {}}
creators[devices.BAROMETRICALTIMETER] = {"F4EAvionics::ServoedBarometricAltimeter", "", {}}
creators[devices.VERTICALVELOCITYINDICATOR] = {"F4EAvionics::VerticalVelocityIndicator", "", {}}
creators[devices.EMERGENCYATTITUDEINDICATOR] = {"F4EAvionics::EmergencyAttitudeIndicator", "", {}}
creators[devices.ATTITUDEINDICATOR_ARU13A] = {"F4EAvionics::AttitudeIndicator_ARU13A", "", {}}
creators[devices.CLOCK] = {"F4EAvionics::AnalogClock", "", {}}
creators[devices.ELECTRICS] = {"F4EAvionics::Electrics", "", {}}

--INSTRUMENTS
creators[devices.AOASYSTEM] = {"F4EAvionics::AngleOfAttackSystem","",{}}
creators[devices.INS_AN_ASN_63] = {"F4EAvionics::INS_AN_ASN_63","",{}}
creators[devices.NavigationComputer_AN_ASN_46A] = {"F4EAvionics::NavigationComputer_AN_ASN_46A","",{}}
creators[devices.PNEUMATICGAUGE] = {"F4EAvionics::PneumaticGauge","",{}}
creators[devices.HYDRAULICGAUGE] = {"F4EAvionics::HydraulicGauge","",{}}
creators[devices.MAGNETICCOMPASS] = {"F4EAvionics::MagneticCompass","",{}}
creators[devices.RADARALTIMETER] = {"F4EAvionics::RadarAltimeter","",{}}
creators[devices.TURNANDSLIP] = {"F4EAvionics::TurnAndSlipIndicator", "", {}}
creators[devices.TASINDICATOR] = {"F4EAvionics::TASIndicator", "", {}}
creators[devices.GSINDICATOR] = {"F4EAvionics::GroundSpeedIndicator", "", {}}
creators[devices.ADI_ARU_11_A] = {"F4EAvionics::ADI_ARU_11_A", "", {}}
creators[devices.OXYGENSYSTEM] = {"F4EAvionics::OxygenSystem", "", {}}

--SYSTEMS
creators[devices.TACAN_AN_ARN_118] = {"F4EAvionics::TACAN_AN_ARN_118", "", {}}
creators[devices.VOR_ILS] = { "F4EAvionics::VOR_ILS", "", {} }
creators[devices.WSO_COURSEINDICATOR] = { "F4EAvionics::DCS_WsoCourseIndicator", "", {} }
creators[devices.FLIGHTDIRECTORCOMPUTER] = {"F4EAvionics::FlightDirectorComputer", "", {}}
creators[devices.HSI_AF_A24J_1] = {"F4EAvionics::HSI_AF_A24J_1", "", {}}
creators[devices.BDHI] = {"F4EAvionics::BDHI", "", {}}
creators[devices.COMPASSSYSTEM] = {"F4EAvionics::CompassSystem", "", {}}
creators[devices.RADAR] = {"F4EAvionics::Radar","",{}}
creators[devices.ATTITUDEREFERENCE] = {"F4EAvionics::AttitudeReferenceAndBombing","",{}}
creators[devices.IFF] = {"F4EAvionics::IFF","",{}}
creators[devices.CANOPYCONTROLS] = {"F4EAvionics::CanopyControls", "", {}}
creators[devices.EJECTION_SEAT_SYSTEM] = {"F4EAvionics::EjectionSeatSystem", "", {}}
creators[devices.SEAT] = {"F4EAvionics::DCS_Seat", "", {}}

-- FLIGHT MODEL
creators[devices.ENGINECONTROLS] = {"F4EAvionics::EngineControls", "", {}}
creators[devices.FuelControls] = {"F4EAvionics::FuelControls", "", {}}

-- CONTROL SURFACES
creators[devices.CONTROLSURFACES] = {"F4EAvionics::ControlSurfaces", "", {}}
creators[devices.INPUTCONTROLS] = {"F4EAvionics::InputControls", "", {}}

--COCKPIT MECHANICS
creators[devices.COCKPITMECHANICS] = {"F4EAvionics::CockpitMechanics","",{}}
creators[devices.MULTICREW] = {"F4EAvionics::MultiCrew","",{}}

--FRONT PANELS
creators[devices.PILOT_FRONT_PANEL] = {"F4EAvionics::DCS_PilotFrontPanel","",{}}
creators[devices.WSO_FRONT_PANEL] = {"F4EAvionics::DCS_WsoFrontPanel","",{}}

--RADIOS
creators[devices.ICS] = {"F4EAvionics::ICS", LockOn_Options.script_path.."Scripts/ICS/init.lua", {}}
creators[devices.ARC164] = {"F4EAvionics::UHF_ARC164", LockOn_Options.script_path.."Scripts/UHF_Radio/Device/UHF_Radio.lua", {}}
creators[devices.CNI_AN_ASQ_19A] = {"F4EAvionics::CNI_AN_ASQ_19A", "", {}}

--DISPLAYS & HUD
creators[devices.HUD_AN_ASG_26] = {"F4EAvionics::HUD_AN_ASG_26",LockOn_Options.script_path.."Scripts/HeadUpDisplay/HUD.lua",{}}

--WEAPONS
creators[devices.WEAPONS] = {"F4EAvionics::DCSWeaponsInterface","",{}}

--ARTISTIC
creators[devices.COCKPITSOUNDS] = {"F4EAvionics::CockpitSoundEngine","",{}}
creators[devices.AIRCRAFTEFFECTS] = {"F4EAvionics::AircraftEffects","",{}}

--DEBUG
creators[devices.DEBUGDISPLAY] = {"F4EAvionics::DebugDisplay","",{}}

--NEXTGEN

-- TGPs
creators[devices.EO_TGT_DESIGNATOR_SYSTEM_AN_ASQ_153] = {"F4EAvionics::DCS_EoTgtDesignatorSystem_AN_ASQ_153","",{}}

-- IFF
creators[devices.IFF_INTERROGATOR_AN_APX_80A] = {"F4EAvionics::DCS_IffInterrogator_AN_APX_80A","",{}}

-- ECM
creators[devices.ECM] = {"F4EAvionics::DCS_EcmSystem","",{}}

-- Lights
creators[devices.EXTERIOR_LIGHTS] = {"F4EAvionics::DCS_ExteriorLights","",{}}

-- Cameras
creators[devices.AIRBORNE_VIDEO_TAPE_RECORDER] = {"F4EAvionics::DCS_AirborneVideoTapeRecorder","",{}}

-- Cockpit Lights
creators[devices.INTERIOR_LIGHTS] = {"F4EAvionics::DCS_InteriorLights", "", {}}

-- Misc
creators[devices.SIM_INFO_INTERFACE] = {"F4EAvionics::SimInfoInterface","",{}}
creators[devices.RHAW_INTERFACE] = {"F4EAvionics::RHAW_Interface",LockOn_Options.script_path.."Scripts/RHAW/rhaw.lua",{}}
creators[devices.MOVABLE_CLICKABLE_UPDATER] = {"F4EAvionics::DCS_MovableClickableUpdater","",{}}
creators[devices.TODO] = {"F4EAvionics::DCS_Todo","",{}}
creators[devices.AUTO_START] = {"F4EAvionics::DCS_AutoStartStop","",{}}
creators[devices.GROUND_CREW] = {"F4EAvionics::GroundCrew","",{}}
creators[devices.TAPE_PLAYER] = {"F4EAvionics::DCS_TapePlayer","",{}}
creators[devices.HELMET_DEVICE] = { "avNightVisionGoggles" }
creators[devices.VERY_HIGH_FREQUENCY_SYSTEM] = { "F4EAvionics::VeryHighFrequencySystemDevice", "", {} }

-- Browser
creators[devices.JESTER_WHEEL] = { "F4EAvionics::DCS_JesterWheel", "", {} }
creators[devices.JESTER_DIALOG] = { "F4EAvionics::DCS_JesterDialog", "", {} }
creators[devices.MANUAL] = { "F4EAvionics::DCS_Manual", "", {} }
creators[devices.GREASE_PENCIL] = { "F4EAvionics::DCS_GreasePencil", "", {} }
-- creators[devices.VIDEO] = { "F4EAvionics::DCS_Video", "", {} } -- NOTE Disabled until finished
creators[devices.BOMBING_TABLE] = { "F4EAvionics::DCS_BombingTable", "", {} }
creators[devices.VIRTUAL_BROWSER] = { "F4EAvionics::DCS_VirtualUserBrowser", "", {} }




--INDICATORS------------------------------------------
-- Please do not change the order of any of these or you will make me sad :(
indicators = {}
indicators[#indicators + 1] = {"F4EAvionics::ccHUD_AN_ASG_26",LockOn_Options.script_path.."Scripts/HeadUpDisplay/Indicator/init.lua",devices.ccHUD_AN_ASG_26,{{"PNT_HUD_CENTRE"},{sx_l = 0.1,sy_l = 0.06516,sz_l = 0,sh = 0,sw = 0}}}
indicators[#indicators + 1] = {"F4EAvionics::ccDebugDisplay"}
indicators[#indicators + 1] = {"F4EAvionics::ccRadar", LockOn_Options.script_path.."Scripts/DSCG/indicator/init.lua",devices.RADAR}
indicators[#indicators + 1] = {"F4EAvionics::ccRadarScope", LockOn_Options.script_path.."Scripts/DSCG/indicator/TV_Indicator/init.lua",devices.RADAR}
indicators[#indicators + 1] = {"F4EAvionics::ccSensor", LockOn_Options.script_path.."Scripts/DSCG/indicator/TV_Sensor/init.lua",devices.RADAR}
indicators[#indicators + 1] = {"F4EAvionics::ccDSCGPilot", LockOn_Options.script_path.."Scripts/DSCG/indicator/DSCG_Pilot/init_bake.lua",devices.RADAR}
indicators[#indicators + 1] = {"F4EAvionics::ccDSCGWSO", LockOn_Options.script_path.."Scripts/DSCG/indicator/DSCG_WSO/init_bake.lua",devices.RADAR}
indicators[#indicators + 1] = { "F4EAvionics::ccTgtDesignatorBitDisplay", LockOn_Options.script_path .. "Scripts/EoTgtDesignatorSystem/Indicator/BitDisplay/init.lua", devices.EO_TGT_DESIGNATOR_SYSTEM_AN_ASQ_153 }
indicators[#indicators + 1] = { "F4EAvionics::ccRangeIndicator", LockOn_Options.script_path .. "Scripts/EoTgtDesignatorSystem/Indicator/RangeIndicator/init.lua", devices.EO_TGT_DESIGNATOR_SYSTEM_AN_ASQ_153 }
indicators[#indicators + 1] = { "F4EAvionics::ccFrequencyChannelIndicator_ARC_164_Pilot", LockOn_Options.script_path .. "Scripts/UHF_Radio/Indicator/FrequencyChannelIndicator/init.lua", devices.ARC164 }
indicators[#indicators + 1] = { "F4EAvionics::ccFrequencyChannelIndicator_ARC_164_Wso", LockOn_Options.script_path .. "Scripts/UHF_Radio/Indicator/FrequencyChannelIndicator/init.lua", devices.ARC164 }
indicators[#indicators + 1] = {"F4EAvionics::ccALR46", LockOn_Options.script_path.."Scripts/RHAW/indicator/init.lua",nil}
indicators[#indicators + 1] = {"F4EAvionics::ccALR46_Display", LockOn_Options.script_path.."Scripts/RHAW/indicator/init_bake.lua",nil}
indicators[#indicators + 1] = {"F4EAvionics::ccControlsIndicator", LockOn_Options.script_path.."Scripts/ControlsIndicator/init.lua",nil}
indicators[#indicators + 1] = { "F4EAvionics::ccAvtrTimeIndicatorWso", LockOn_Options.script_path .. "Scripts/Cameras/Indicator/AvtrTimeIndicatorWso/init.lua", devices.AIRBORNE_VIDEO_TAPE_RECORDER }
indicators[#indicators + 1] = { "F4EAvionics::ccAvtrTimeIndicatorPilot", LockOn_Options.script_path .. "Scripts/Cameras/Indicator/AvtrTimeIndicatorPilot/init.lua", devices.AIRBORNE_VIDEO_TAPE_RECORDER }
indicators[#indicators + 1] = { "F4EAvionics::ccFog" , LockOn_Options.script_path.."Scripts/Fog/indicator/init.lua" }
indicators[#indicators + 1] = { "F4EAvionics::DCS_Browsers" }

kneeboard_implementation = "F4EAvionics::ccKneeboardExt"
dofile(LockOn_Options.common_script_path.."KNEEBOARD/declare_kneeboard_device.lua")


--indicators[#indicators + 1] = {"ccIndicator",LockOn_Options.script_path.."dir/Indicator/init.lua",--init script
--  nil,--id of parent device
--  {
--	{}, -- initial geometry anchor , triple of connector names
--	{sx_l =  0,  -- center position correction in meters (forward , backward)
--	 sy_l =  0,  -- center position correction in meters (up , down)
--	 sz_l =  0,  -- center position correction in meters (left , right)
--	 sh   =  0,  -- half height correction
--	 sw   =  0,  -- half width correction
--	 rz_l =  0,  -- rotation corrections
--	 rx_l =  0,
--	 ry_l =  0}
--  }
--}
